> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embedreach.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Channel Accounts

> List all channel accounts for a business



## OpenAPI

````yaml GET /api/channel/accounts
openapi: 3.0.0
info:
  title: Reach API
  version: 1.0.0
  description: API documentation for Reach platform
servers:
  - url: https://api.embedreach.com
    description: Production server
security: []
paths:
  /api/channel/accounts:
    get:
      tags:
        - Channel Accounts
      summary: List Channel Accounts
      description: List all channel accounts for a business
      parameters:
        - name: reach-tenant-id
          in: header
          required: false
          schema:
            type: string
            description: >-
              If using a platform scoped JWT, you can pass in a header to
              impersonate a specific tenant to impersonate the request as.
        - schema:
            type: string
            description: The cursor to start from
          required: false
          description: The cursor to start from
          name: cursor
          in: query
        - schema:
            type: number
            nullable: true
            description: The limit of items to return, default is 100
          required: false
          description: The limit of items to return, default is 100
          name: limit
          in: query
      responses:
        '200':
          description: Status 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      results:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                              nullable: true
                            createdAt:
                              type: string
                              nullable: true
                            channelIntegrationId:
                              type: string
                            channelAccountMetadata:
                              oneOf:
                                - type: object
                                  properties:
                                    type:
                                      type: string
                                      enum:
                                        - reach-managed
                                    baseDomain:
                                      type: string
                                    dkimVerified:
                                      type: boolean
                                      nullable: true
                                    dmarcVerified:
                                      type: boolean
                                      nullable: true
                                    verifiedReturnPath:
                                      type: boolean
                                      nullable: true
                                  required:
                                    - type
                                    - baseDomain
                                - type: object
                                  properties:
                                    type:
                                      type: string
                                      enum:
                                        - twilio
                                  required:
                                    - type
                                - type: object
                                  properties:
                                    type:
                                      type: string
                                      enum:
                                        - reach-managed-sms
                                    smsApplicationReferenceId:
                                      type: string
                                  required:
                                    - type
                                    - smsApplicationReferenceId
                                  description: >-
                                    Please reach out to support@embedreach.com
                                    to get started with self-serve SMS
                                - type: object
                                  properties:
                                    type:
                                      type: string
                                      enum:
                                        - reach-managed-ses
                                  required:
                                    - type
                                  description: >-
                                    Please reach out to support@embedreach.com
                                    to get started with self-serve SES
                          required:
                            - id
                            - name
                            - createdAt
                            - channelIntegrationId
                            - channelAccountMetadata
                      pagination:
                        type: object
                        properties:
                          hasNextPage:
                            type: boolean
                          cursor:
                            type: string
                            nullable: true
                          total:
                            type: number
                        required:
                          - hasNextPage
                    required:
                      - results
                      - pagination
                required:
                  - success
        '400':
          description: Bad Request - Validation or request error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
                  message:
                    type: string
                    description: Error message describing what went wrong
                  errors:
                    type: array
                    items:
                      type: string
                    description: Optional array of specific validation errors
                required:
                  - message

````